# Generated by Django 4.0 on 2022-07-12 21:44

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('banks', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Nombre(s) del cliente', max_length=200, verbose_name='Nombre(s)')),
                ('last_name', models.CharField(help_text='Apellido(s) del cliente', max_length=200, verbose_name='Apellido(s)')),
                ('birth_date', models.DateField(help_text='Fecha de nacimiento del cliente', verbose_name='Fecha de nacimiento')),
                ('age', models.PositiveIntegerField(blank=True, help_text='Edad del cliente', null=True, verbose_name='Edad')),
                ('nationality', models.CharField(blank=True, help_text='Nacionalidad del cliente', max_length=255, null=True, verbose_name='Nacionalidad')),
                ('room_address', models.TextField(blank=True, help_text='Dirección de habitación del cliente', null=True, verbose_name='Dirección de habitación')),
                ('email', models.CharField(help_text='Correo del cliente', max_length=255, verbose_name='Correo')),
                ('cellphone', models.CharField(blank=True, help_text='Teléfono del cliente', max_length=50, null=True, verbose_name='Teléfono')),
                ('person_type', models.CharField(blank=True, choices=[('NAT', 'NATURAL'), ('JUR', 'JURIDICA')], help_text='Tipo de persona', max_length=3, null=True, verbose_name='Tipo')),
                ('bank', models.ForeignKey(help_text='Banco del cliente', on_delete=django.db.models.deletion.PROTECT, to='banks.bank', verbose_name='Banco')),
            ],
            options={
                'ordering': ['id'],
            },
        ),
    ]
